///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.rel
//
//import com.persagy.base.extensions.toJson
//import com.persagy.server.datacenter.models.entities.rel.RShaftThroughShaft
//import com.persagy.server.datacenter.models.entities.rel.RShaftThroughShaftOtherList
//import com.persagy.server.services.rel.RShaftThroughShaftService
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 竖井的贯通关系
// *
// * @author 张维新
// */
//@Tag(name = "022、关系-竖井的贯通关系")
//@RestController
//@RequestMapping("/rel/sh-through-sh")
//class RShaftThroughShaftController {
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(RShaftThroughShaftController::class.java)
//    } // Companion object
//
//    /**
//     * 创建竖井的贯通关系
//     *
//     * @param   rFlThroughFl    竖井和竖井的关系对象
//     * @return                  创建的结果信息
//     */
//    @Operation(summary = "创建竖井的贯通关系", description = "必填项：ShaftId（竖井id）、ShaftOtherId（其他竖井id）")
//    @PostMapping(value = ["/link"])
//    fun create(@RequestBody rFlThroughFl: RShaftThroughShaft): SCreateResponse<RShaftThroughShaft>{
//        logger.debug("build = ${rFlThroughFl.toJson()}")
//        return RShaftThroughShaftService.create(rFlThroughFl)
//    } // Function create()
//
//    /**
//     * 根据对象删除关系
//     *
//     * @param   rFlThroughFl    对象
//     * @return                  删除的结果信息
//     */
//    @Operation(summary = "根据对象删除竖井的贯通关系，只针对一个对象", description = "必填项：ShaftId（竖井id）、ShaftOtherId(其他数据竖井id)")
//    @PostMapping(value = ["/unlink"])
//    fun delete(@RequestBody rFlThroughFl: RShaftThroughShaft): SBaseResponse {
//        return RShaftThroughShaftService.deletes(rFlThroughFl)
//    } // Function delete()
//
//    /**
//     * 创建竖井的贯通关系
//     *
//     * @param   rFlThroughFl    竖井和其他竖井列表关系对象r
//     * @return                  创建的结果信息
//     */
//    @Operation(summary = "竖井的贯通，竖井一对多，此方法会覆盖以前的记录", description = "必填项：ShaftId（竖井id）、ShaftOtherIdList（其他竖井id列表）,此方法会覆盖以前的记录")
//    @PostMapping(value = ["link-or"])
//    fun createOr(@RequestBody rFlThroughFl: RShaftThroughShaftOtherList): SCreateResponse<RShaftThroughShaft>{
//        logger.debug("Shaft =${rFlThroughFl.toJson()}")
//        return RShaftThroughShaftService.createShaft(rFlThroughFl)
//    } // Function createOr()
//
//    /**
//     * 创建竖井的贯通关系
//     *
//     * @param   rFlThroughFl    竖井和其他竖井列表关系对象r
//     * @return                  创建的结果信息
//     */
//    @Operation(summary = "竖井的贯通，竖井一对多，此方法不会覆盖以前的记录", description = "必填项：ShaftId（竖井id）、ShaftOtherIdList（其他竖井id列表）")
//    @PostMapping(value = ["link-shaft"])
//    fun createShaft(@RequestBody rFlThroughFl: RShaftThroughShaftOtherList): SCreateResponse<RShaftThroughShaft>{
//        logger.debug("Shaft =${rFlThroughFl.toJson()}")
//        return RShaftThroughShaftService.createShaftAll(rFlThroughFl)
//    } // Function createOr()
//
//
//}